Bug 164665 - [maintainer] devel/premake4: fix broken regression tests
Summary: [maintainer] devel/premake4: fix broken regression tests
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-31 14:30 UTC by Vitaly Magerya
Modified: 2012-03-04 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.69 KB, patch)
2012-01-31 14:30 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2012-01-31 14:30:16 UTC
It appears that delve/premake4 has a set of unit tests, and two of them
do not currently pass, as premake tries to read from /etc/ld.so.conf,
which we don't have.

The attached patch fixes that problem, and implements regression-test
target.

You can see tinderbox logs at [1].

[1] https://redports.org/buildarchive/20120131150907-284/

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2012-02-01 11:21:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2012-03-04 07:10:02 UTC
State Changed
From-To: open->feedback


Hi, 

this patch is not clean: 

|--- premake4.orig/files/patch-src-host-scripts.c       1970-01-01 
03:00:00.000000000 +0300 |+++ premake4/files/patch-src-host-scripts.c 
2012-01-31 16:05:38.000000000 +0200 -------------------------- (Creating 
file patch-src-host-scripts.c...) Patching file patch-src-host-scripts.c 
using Plan A...  patch: **** malformed patch at line 55:  omatch(result, 
mask, wantfiles)nif mas"
Comment 3 Vitaly Magerya 2012-03-04 10:24:51 UTC
miwi@freebsd.org wrote:
> Hi,
>
> this patch is not clean:
>
> [...]
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=164665

It appears that the patch has one of it's lines wrapped around at
990 characters. (Does web interface do that automatically or was
it my mistake?)

Anyway, you can get the original patch at [1].

[1] http://tx97.net/~magv/premake4-fix.diff
Comment 4 Martin Wilke freebsd_committer 2012-03-04 12:27:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-03-04 12:27:23 UTC
miwi        2012-03-04 12:27:14 UTC

  FreeBSD ports repository

  Modified files:
    devel/premake4       Makefile 
  Added files:
    devel/premake4/files patch-src-base-os.lua 
                         patch-src-host-scripts.c 
  Log:
  - Fix broken regression test
  
  PR:             164665
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.2       +5 -1      ports/devel/premake4/Makefile
  1.1       +17 -0     ports/devel/premake4/files/patch-src-base-os.lua (new)
  1.1       +5 -0      ports/devel/premake4/files/patch-src-host-scripts.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"